﻿@model SYM.DataAccessLayer.route
@using SYM.SearchEngine.MvcApp.Helpers;
@{
    string routeTitle = "";
    string region = "";
    string city = "";

    if (Model.mountain != null)
    {
        routeTitle = @Model.mountain.mntn_name + " - " + @Model.route_name;
    }
    else if (Model.valley != null)
    {
        routeTitle = @Model.valley.valley_name + " - " + @Model.route_name;
    }
    else
    {
        routeTitle = @Model.route_name;
    }

    if (Model.geo_region != null)
    {
        region = @Model.geo_region.region_name;
    }

    if (Model.geo_city != null)
    {
        city = @Model.geo_city.city_name;
    }

    ViewBag.Title = @SYM.Localization.Resources.Views.Route.Details.Route + " " + routeTitle;
    ViewBag.Breadcrumb = "<li><a href='" + Url.Action("Index3", "Route") + "'>" + SYM.Localization.Resources.Views.Route.Index.Title + "</a><i class='fa fa-circle'></i></li>";
    ViewBag.Page = @SYM.Localization.Resources.Views.Route.Details.Page;
}
@section ExtraHeadContent {
    <meta name="description" content="@ViewBag.Title (@region) - @Model.act_activity.activity_name">
    <meta name="keywords" content="@ViewBag.Title, @region, @Model.act_activity.activity_name" />
    <meta name="author" content="ShareYourMountain" />
}
@section ExtraCssContent {
    <!-- Final Tiles Grid Gallery CSS -->
    <link rel="stylesheet" href="~/Content/assets/plugins/tiles-grid/css/finaltilesgallery.css">
    <link rel="stylesheet" href="~/Content/assets/plugins/tiles-grid/css/lightbox2.css">
    <link rel="stylesheet" href="~/Content/assets/plugins/owlcarousel2/assets/owl.carousel.min.css" type="text/css" />
    <link rel="stylesheet" href="~/Content/assets/plugins/owlcarousel2/assets/owl.theme.default.min.css" type="text/css" />
}
<div class="row">
    <div class="col-md-12">
        <div class="portlet bordered light">
            <div class="portlet-title">
                <div class="caption">
                    <span class="caption-subject font-green-haze bold uppercase">@routeTitle</span>
                    <span class="caption-helper">@Model.act_activity.activity_name @Model.difficulty_grade</span>
                    @if (Request.IsAuthenticated)
                    {
                        <a class="margin-left-10" href="@Url.Action("Edit", "Route", new { id = Model.id })">
                            <i class="fa fa-edit"></i>
                        </a>
                    }
                </div>
                @if (Request.IsAuthenticated)
                {
                    <div class="actions">
                        <a href="javascript:;" id="logAdventure" class="btn btn-success btn-sm">
                            @SYM.Localization.Resources.Views.Mountain.Details.AddToYour <b>Adventure List</b> <i class="fa fa-heartbeat"></i>
                        </a>
                    </div>
                }
            </div>
            <div class="portlet-body form">
                <ul class="nav nav-tabs">
                    <li class="active">
                        <a href="#tab_1_1" id="Info" data-toggle="tab">Info </a>
                    </li>
                    <li class="">
                        <a href="#tab_1_2" id="Maps" data-toggle="tab"><i class="fa fa-map"></i> @SYM.Localization.Resources.Views.Route.Details.Map</a>
                    </li>
                    <li class="">
                        <a href="#tab_1_4" id="Flickr" data-toggle="tab"><i class="fa fa-camera"></i> @SYM.Localization.Resources.Views.Route.Details.Gallery</a>
                    </li>
                    @if (Model.mountain != null)
                    {
                        <li class="">
                            <a href="#tab_1_3" id="Routes" data-toggle="tab" class="bold"><i class="fa fa-map-signs"></i> @SYM.Localization.Resources.Views.Mountain.Details.Topos nei dintorni...</a>
                        </li>
                    }
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade active in" id="tab_1_1">
                        <!-- BEGIN FORM-->
                        <div class="row">
                            @if (Model.route_image.Count > 0 || (Model.mountain != null && Model.mountain.mntn_image.Count > 0))
                            {
                                <div class="col-md-4">
                                    <div id="gmap_marker_intro" class="gmaps"></div>
                                </div>
                                <div class="col-md-5 col-custom" style="height: 450px; overflow: hidden;">
                                    <div style="height:100%;" id="image-cover-container">
                                        <div class="mt-element-ribbon">
                                                <div class="ribbon ribbon-right ribbon-shadow ribbon-color-danger uppercase">@Model.act_activity.activity_name</div>
                                                @if (Model.route_image.Count > 0 && Model.route_image.Last().image_cdn == true)
                                                {
                                                    <a class="image-cover-fancybox" href="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_750/@Model.route_image.Last().image_url.ToString()">
                                                        <img id="image-cover" src="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_750/@Model.route_image.Last().image_url.ToString()" alt="">
                                                    </a>
                                                }
                                                else if (Model.route_image.Count > 0)
                                                {
                                                    <a class="image-cover-fancybox" href="@Model.route_image.Last().image_url.ToString()">
                                                        <img id="image-cover" src="@Model.route_image.Last().image_url.ToString()" alt="">
                                                    </a>
                                                }
                                                else if (Model.mountain != null && Model.mountain.mntn_image.Count > 0 && @Model.mountain.mntn_image.Last().image_cdn == true)
                                                {
                                                    <a class="image-cover-fancybox" href="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_750/@Model.mountain.mntn_image.Last().image_url">
                                                        <img id="image-cover" src='http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_750/@Model.mountain.mntn_image.Last().image_url' alt="">
                                                    </a>
                                                }
                                                else if (Model.mountain != null && Model.mountain.mntn_image.Count > 0)
                                                {
                                                    <a class="image-cover-fancybox" href="@Model.mountain.mntn_image.Last().image_url.ToString()">
                                                        <img id="image-cover" src='@Model.mountain.mntn_image.Last().image_url.ToString()' alt="">
                                                    </a>
                                                }
                                            </div>
                                    </div>                              
                                </div>
                            }
                            else {
                                <div class="col-md-9">
                                    <div id="gmap_marker_intro" class="gmaps"></div>
                                </div>
                            }
                            <div class="col-md-3">
                                <div class="row margin-bottom-20">
                                    <div class="col-md-12"><h4>Caratteristiche</h4></div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Activity:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @Model.act_activity.activity_name
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Difficulty:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @if (Model.difficulty_grade != null)
                                                    {
                                                        foreach (string s in Model.difficulty_grade.Split(','))
                                                        {
                                                            @: <span class="label label-primary">@s</span>
                                                        }
                                                    }
                                                    else
                                                    {
                                                        @: N/A
                                                    }
                                                    &nbsp;<a class="" data-toggle="modal" href="#modalDifficulty"><i class="fa fa-info-circle"></i></a>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                @if (Model.mountain != null)
                                {
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">Altitudine:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.mountain.mntn_altitude m.
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                @if (Model.route_length > 0)
                                {
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Length:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        <i class="fa fa-arrows-h"></i> @RouteHelper.DistanceFormat(Model.route_length.GetValueOrDefault())
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                @if (Model.route_height > 0)
                                {
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Height:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        <i class="fa fa-long-arrow-up"></i> @Model.route_height m.
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                @if (Model.route_pitchAsc != null)
                                {
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Pitch:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.route_pitchAsc
                                                    </p>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                }
                                @if (!String.IsNullOrEmpty(Model.route_facing))
                                {
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Exposure:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @RouteHelper.GetFullFacing(Model.route_facing)
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                }
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            @if (Model.city_id != null)
                                            {
                                                <label class="control-label col-md-4">Località:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.geo_city.city_name
                                                    </p>
                                                </div>
                                            }
                                        </div>
                                    </div>
                                </div> 
                                <div class="row">
                                    <div class="col-md-12"> 
                                        <div class="form-group">
                                            <div id="meteo" class="bg-default bg-font-default"></div>
                                        </div>
                                    </div>
                                </div>                               
                            </div>
                        </div>
                        <!-- BEGIN FORM-->
                        <form>
                            @Html.ValidationSummary(true)
                            @Html.HiddenFor(model => model.id)
                            <div class="form-body">
                                <h4 class="form-section">@SYM.Localization.Resources.Views.Route.Details.Localization</h4>
                                <div class="row">
                                    @if (Model.mountain != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Mountain:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        <a href="/Mountain/@Model.mountain.id-@Model.mountain.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")">
                                                            @Html.DisplayFor(modelItem => Model.mountain.mntn_name)
                                                        </a>
                                                        <span class="bold" style="margin-left:5px;"><i class="fa fa-long-arrow-up"></i> @Model.mountain.mntn_altitude m.</span>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                    <!--/span-->
                                    @if (Model.mntn_mountainrange != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.MountainRange:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.mntn_mountainrange.mntnRange_name
                                                        ->
                                                        @if (Model.mntn_mountaingroup != null)
                                                        {
                                                            @Model.mntn_mountaingroup.mntnGroup_name
                                                        }
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                    <!--/span-->
                                </div>
                                <!--/row-->
                                @*<h4 class="form-section">Avvicinamento</h4>*@
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.StartingCity:</label>
                                            <div class="col-md-8">
                                                <p class="">
                                                    @if (Model.geo_city != null)
                                                    {
                                                        @Model.geo_city.city_name
                                                    }
                                                    -
                                                    @region (
                                                    @{
                                                        string url = "/Content/themes/m1/assets/global/img/flags/" + Model.geo_country.country_code.ToLower() + ".png";
                                                        <img alt="@Model.geo_country.country_code" src="@url">
                                                    })
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    @if (Model.valley != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Valley:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.valley.valley_name
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                    @if (Model.parking != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Parking:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @Model.parking.parking_name - 
                                                        <span class="label label-default"><a href="https://www.google.it/maps/dir//@Model.parking.parking_lat.ToString().Replace(',','.'),@Model.parking.parking_lng.ToString().Replace(',','.')" target="_blank"><i class="fa fa-road"></i> Start</a></span>
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                    @if (ViewBag.Hours != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">@SYM.Localization.Resources.Views.Route.Details.Time:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @ViewBag.Hours Hours (@SYM.Localization.Resources.Views.Route.Details.Estimate)
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                </div>
                                <div class="row">
                                    @if (Model.route_firstAscClimbers != null)
                                    {
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="control-label col-md-4">Climbers:</label>
                                                <div class="col-md-8">
                                                    <p class="">
                                                        @foreach (string climber in Model.route_firstAscClimbers.Split(','))
                                                        {
                                                            @: @climber /
                                                }
                                                    </p>
                                                </div>
                                            </div>
                                        </div>
                                    }
                                </div>
                                <!--/row-->
                                @if(Model.route_image.Count() > 0)
                                {
                                    <h4 class="form-section">
                                        Immagini caricate
                                    </h4>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="owl-carousel owl-theme">
                                                @foreach (var s in Model.route_image.Where(a => a.image_cdn == true).ToList())
                                                {
                                                    @: <img class="owl-lazy" data-src="http://res.cloudinary.com/shareyourmountain/image/upload/g_face,c_fill,w_400/@s.image_url" alt="@s.image_descr">
                                                }
                                            </div>
                                        </div>
                                    </div>
                                }
                                <div class="row margin-top-10">
                                    <div class="col-md-6 col-md-offset-3">
                                        <a href="@Url.Action("_UploadImages/"+Model.id, "Route")" data-target="#myModal" class="btn sbold uppercase btn-outline yellow-gold btn-block"><i class="fa fa-camera"></i> Upload your Photo</a>
                                    </div>
                                </div>
                                <h4 class="form-section">
                                    External Resource & Social
                                </h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="row">
                                            @foreach (var s in Model.route_webinfo)
                                            {
                                                @: <div class="col-md-4 text-center"><a href='@s.source.source_url/@s.wi_url' target="_blank"><img src="/Content/images/screenshot/@(s.source_id).jpg" alt="@s.source.source_name" width="180" height="180" style="display: block;"></a></div>
                                            }
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="row margin-top-20">
                                            <label class="control-label col-md-3">@SYM.Localization.Resources.Views.Route.Details.Views:</label>
                                            <div class="col-md-2">
                                                <p class="">
                                                    <i class="fa fa-line-chart"></i> <span id="clicks" class="bold">@ViewBag.CountViews</span>
                                                </p>
                                            </div>
                                            <label class="control-label col-md-3">@SYM.Localization.Resources.Views.Route.Details.LastView:</label>
                                            <div class="col-md-4">
                                                <p class="">
                                                    <i class="fa fa-clock-o"></i> <span id="lastView">@ViewBag.LastViews</span>
                                                </p>
                                            </div>
                                        </div>
                                        <div class="row margin-top-20">
                                            <div class="form-group">
                                                <label class="control-label col-md-3">@SYM.Localization.Resources.Views.Route.Details.Data_Title:</label>
                                                <div class="col-md-8 progress progress-striped" style="padding-left:0;padding-right:0;">
                                                    <div class="progress-bar progress-bar-warning" role="progressbar" aria-valuenow="@Model.route_ranking" aria-valuemin="0" aria-valuemax="100" style="width: @Model.route_ranking%">
                                                        <span class="sr-only"> @(Model.route_ranking)% Complete (warning) </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row margin-top-20">
                                            <label class="control-label col-md-3">@SYM.Localization.Resources.Views.Route.Details.Update:</label>
                                            <div class="col-md-9">
                                                <p class="">
                                                    @if (Model.route_dateMod != null)
                                                    {
                                                        @String.Format("{0:dd/MM/yyyy}", Model.route_dateMod)
                                                    }
                                                    else {
                                                        @String.Format("{0:dd/MM/yyyy}", Model.route_dateIns)
                                                    }
                                                    @if (ViewBag.UserName != null)
                                                    {
                                                        <span class="small"> - <a target="_blank" href="/Community/Profile/@ViewBag.UserId">@ViewBag.UserName</a></span>
                                                    }
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row margin-top-20">
                                    <div class="col-md-6">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div id="disqus_thread"></div>
                                                @Html.Partial("_commentDisqus")
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6" id="widget-social">

                                    </div>
                                </div>
                            </div>
                        </form>
                        <!-- END FORM-->
                        <div class="row">
                            <div class="col-md-12">
                                <small>The content of this page is licensed under the <a href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a></small>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="tab_1_2">
                        <!-- This is the template -->
                        <div class="row">
                            <div class="col-md-2">
                                <form class="form-inline margin-bottom-20" action="#">
                                    <div class="input-group">
                                        <input type="text" class="form-control" id="gmap_geocoding_address" placeholder="Your starting city...">
                                        <span class="input-group-btn">
                                            <button class="btn" id="gmap_geocoding_btn">
                                                <i class="fa fa-search"></i>
                                            </button>
                                        </span>
                                    </div>
                                </form>
                                <form class="form-inline margin-bottom-20" action="#">
                                    <div class="input-group">
                                        <input type="text" class="form-control" id="gmap_geocoding_address" readonly="readonly" value="@(city)">
                                        <span class="input-group-btn">
                                            <button class="btn">
                                                <i class="fa fa-map-marker"></i>
                                            </button>
                                        </span>
                                    </div>
                                </form>
                                <form class="form-inline margin-bottom-20">
                                    Duration: <span id="routingDuration">...</span> <i class="fa fa-hourglass"></i>
                                </form>
                                <form class="form-inline margin-bottom-20">
                                    Distance: <span id="routingDistance">...</span> <i class="fa fa-road"></i>
                                </form>
                            </div>
                            <div class="col-md-10">
                                <div id="gmap_marker" class="gmaps"></div>
                            </div>
                        </div>
                        @if (Model.parking != null && Model.mountain != null && Request.IsAuthenticated)
                        {
                            <div class="row margiv-top-10">
                                <div class="col-md-12">
                                    <a href="https://api.openrouteservice.org/directions?coordinates=@Model.parking.parking_lng.ToString().Replace(",","."),@Model.parking.parking_lat.ToString().Replace(",",".")%7C@(Model.mountain.mntn_longitude.ToString().Replace(",",".")),@Model.mountain.mntn_latitude.ToString().Replace(",",".")&profile=foot-hiking&preference=fastest&units=km&language=en&geometry=false&geometry_format=encodedpolyline&geometry_simplify=false&instructions=false&elevation=true&options=%7B%7D&api_key=58d904a497c67e00015b45fc2986c9aacf3044d840965847a48c0e87" target="_blank" class="btn green-haze btn-outline btn-sm"><i class="fa fa-globe"></i> Download KML</a>
                                </div>
                            </div>
                        }
                    </div>
                    <div class="tab-pane fade" id="tab_1_4">
                        <!-- This is the template -->
                        <div id="gallery" class="final-tiles-gallery caption-top social-icons-bottom social-icons-circle">
                            <div class="ftg-items">
                            </div>
                        </div>
                        <div class="alert alert-info margiv-top-10">
                            <strong>Info!</strong> Photos provided by <a href="#">Flickr</a>. Photos are under the copyright of their owner.
                        </div>
                    </div>
                    <div id="tab_1_3" class="tab-pane fade">
                        <div id="indexresult">
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
<!--Modal Url-->
<div class="modal fade bs-modal-lg" id="myModal_url" tabindex="-1" role="dialog" aria-hidden="true" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Add new resource about @Model.route_name</h4>
            </div>
            <div class="modal-body">
                <form id="formAddUrl" class="form-horizontal" role="form" action='@Url.Action("AddUrl", "Route" )' method="post">
                    <div class="form-body">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Blog &or; Website link</label>
                            <div class="col-md-9">
                                <input type="url" name="wi_url" class="form-control" placeholder="Url">
                            </div>
                        </div>
                    </div>
                    <input type="hidden" name="route" value="@Model.id">
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn dark btn-outline" data-dismiss="modal">Close</button>
                <button type="button" class="btn green" id="btnAddUrl">Save Link</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal-dialog -->
@*</div>*@
@section ExtraPluginJS {
    @Scripts.Render("~/content/themes/m1/assets/plugins/pagedetails/js")
}
@section scripts {
    <script type="text/javascript">
        $("#btnAddUrl").click(function () {
            $("#formAddUrl").submit();
        });
        $("#RouteIndex3").attr("class", "active");
    </script>
    <script type="text/javascript" src="~/Scripts/custom/Flickr.js"></script>
    <script type="text/javascript" src="~/Scripts/custom/adventure.js"></script>
    <script type="text/javascript" src="~/Scripts/custom/route_gmaps.js"></script>
    <script>
        var mountain = {name:"", lat:"", lng:""};
        var city = {name:"", lat:"", lng:""};
        var trackgps = {name:"", url:""};
        var parking = {name:"", lat:"", lng:""};

        @if (Model.mountain != null)
        {
            <text>
            mountain.lat = '@Model.mountain.mntn_latitude.ToString().Replace(",", ".")';
            mountain.lng = '@Model.mountain.mntn_longitude.ToString().Replace(",", ".")';
            mountain.name = '@Model.mountain.mntn_name';
            </text>
        }
        else if (Model.valley != null){
            <text>
            mountain.lat = '@Model.valley.valley_lat.ToString().Replace(",", ".")';
            mountain.lng = '@Model.valley.valley_lng.ToString().Replace(",", ".")';
            </text>
        }

        @if (Model.geo_city != null)
        {
            <text>
        city.lat = '@Model.geo_city.city_latitude.ToString().Replace(",", ".")';
        city.lng = '@Model.geo_city.city_longitude.ToString().Replace(",", ".")';
        city.name = '@Model.geo_city.city_name';
        destination = city;
        </text>
        }
        @if (Model.trackgps != null)
        {
            <text>
        trackgps.url = '@Model.trackgps.track_url'
        </text>
        }
        @if (Model.parking != null)
        {
            <text>
        parking.lat = '@Model.parking.parking_lat.ToString().Replace(",", ".")';
        parking.lng = '@Model.parking.parking_lng.ToString().Replace(",", ".")';
        parking.name = '@Model.parking.parking_name';
        destination = parking;
         </text>
        }

        //ex. simple view, openweathermap weather
        var widgetWeather = $("#meteo").flatWeatherPlugin({
            lat: mountain.lat,
            lon: mountain.lng,
            api: "yahoo",
            units : "metric",
            lang: "it",
            timeformat: "12",
            view : "simple",
            render: false //default: true (true/false) if you want plugin to generate markup
        });

        widgetWeather.flatWeatherPlugin('fetchWeather').then(function(data){
              //console.log(data);
              $("<h3/>", {"class" : "wi wi"+data.today.code}).text(" " + data.city).appendTo(widgetWeather);
              $("<p/>").html(data.today.temp.now + "°C, " + data.today.desc ).appendTo(widgetWeather);
          });

        $('#Maps').one('click', function (e) {
            setTimeout("mapGeocoding('#gmap_marker',mountain,city,parking,trackgps);", 250);
        });

        setTimeout("mapGeocoding('#gmap_marker_intro',mountain,city,parking,trackgps);", 250);

        @if (Model.mountain != null)
        {
            <text>
            //Ajax call to load index routes for mountain
            $('#Routes').one('click', function (e) {
                App.startPageLoading({ animate: true });
                $.ajax({
                    url: "/Route/_PartialIndex/@Model.mountain.id",
                    type: "GET",
                    dataType: "html",
                }).
            success(function (result) {
                $('#indexresult').html(result);
                App.stopPageLoading();
            }).
            error(function (xhr, status) {
                App.stopPageLoading();
            });
            });
            </text>
         }

        $('.owl-carousel').owlCarousel({
            lazyLoad:true,
            loop:false,
            margin:5,
            nav: false,
            responsive:{
                0:{
                    items:1,
                },
                480:{
                    items:3
                },
                1200:{
                    items:4
                }
            }
        });

    </script>
    <script type="text/javascript">
        //Function FLICKR invoke only the first time when the tab #Gallery_Images is selected
        $('#Flickr').one('click', function (e) {
            var temp;
            @{
                if (@Model.mountain != null)
                {
                    <text>
                    temp = '@Model.mountain.mntn_name';
                    </text>
                }
                else if(@Model.valley != null)
                {
                    <text>
                    temp = '@Model.valley.valley_name';
                    </text>
                }
            }
            GalleryFlickr(temp, 0, '', '', '#gallery');
            return true;
        });

        //Set statistics page count view after the loading page
        jQuery(document).ready(function () {
            $('#image-cover-container').imagefill();
            $.ajax({
                type: "POST",
                url: "/api/PageStatistics/SetCounter",
                data: '{p_id:"@Model.id",p_type:"r"}',
                contentType: "application/json; charset=utf-8",
                error: function () {
                    console.log("Error page stats");
                }
            });
            $("a.image-cover-fancybox").fancybox();
        });

        //Load New Social Widget
        $("#widget-social").load("/Route/_WidgetSocial?id=@Model.id");
    </script>
    @if (Request.IsAuthenticated)
    {
        <script type="text/javascript">
            $.ajax({
                type: "POST",
                url: "/api/Adventure/Get",
                data: '{p_route:"@Model.id"}',
                contentType: "application/json; charset=utf-8",
                success: function (response) {
                    if(typeof(response) != "undefined")
                        UpdateUI(0,@Model.id,response.done,"");
                },
                error: function () {
                    console.log("Error counter");
                }
            });

            $('#logAdventure').click(function () {
                SetAdventure(@Model.mountain_id,@Model.id,false,"");
            });
        </script>
    }
}
@Html.Partial("_modalDiff")

